bitbrawl

BitBrawl.Animation

# Documentation

data Animation Source

Constructors

Animation |

Fields

row :: Int
frames :: Int
frame :: Int
col :: Int

drawAnimation :: Surface -> Surface -> Animation -> (Int, Int) -> IO ()Source

advanceAnimation :: (Animation, Ticks) -> Ticks -> Ticks -> (Animation, Ticks)Source

wrapAnimation :: Animation -> Animation Source

truncAnimation :: Animation -> Animation Source

clipAnimation :: Animation -> Maybe RectSource